import request from '@/utils/request'

// 查询kvt列表
export function listKvt(query) {
  return request({
    url: '/kvt/kvt/list',
    method: 'get',
    params: query
  })
}

// 查询kvt详细
export function getKvt(id) {
  return request({
    url: '/kvt/kvt/' + id,
    method: 'get'
  })
}

// 新增kvt

export function addKvt(data) {
  return request({
    url: '/kvt/kvt',
    method: 'post',
    data: data
  })
}

// 修改kvt

export function updateKvt(data) {
  return request({
    url: '/kvt/kvt/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除kvt

export function delKvt(id) {
  return request({
    url: '/kvt/kvt/' + id,
    method: 'delete'
  })
}
// 测试连接

export function connectionTest(data) {
  return request({
    url: '/kvt/kvt/connectionTest/',
    method: 'post',
    data
  })
}
// 选择数据库
export function dataTypeList() {
  return request({
    url: '/kvt/kvt/dataTypeList/',
    method: 'post'
  })
}
